Loading...
Searching...
No Matches
pcl::QuantizedMap Class Reference

`#include <pcl/recognition/quantized_map.h>`

## Public Member Functions

| QuantizedMap ()
| QuantizedMap (std::size_t width, std::size_t height)
| QuantizedMap (const QuantizedMap &copy_me)
virtual | ~QuantizedMap ()
std::size_t | getWidth () const
std::size_t | getHeight () const
unsigned char * | getData ()
const unsigned char * | getData () const
QuantizedMap | getSubMap (std::size_t x, std::size_t y, std::size_t width, std::size_t height)
void | resize (std::size_t width, std::size_t height)
unsigned char & | operator() (const std::size_t x, const std::size_t y)
const unsigned char & | operator() (const std::size_t x, const std::size_t y) const
void | serialize (std::ostream &stream) const
void | deserialize (std::istream &stream)

## Static Public Member Functions

static void | spreadQuantizedMap (const QuantizedMap &input_map, QuantizedMap &output_map, std::size_t spreading_size)

## Public Attributes

std::vector< unsigned char > | data_
std::size_t | width_
std::size_t | height_

## Detailed Description

Definition at line 45 of file quantized_map.h.

## Constructor & Destructor Documentation

## QuantizedMap() [1/3]

pcl::QuantizedMap::QuantizedMap | ( |  | ) |

Referenced by getSubMap(), QuantizedMap(), and spreadQuantizedMap().

## QuantizedMap() [2/3]

pcl::QuantizedMap::QuantizedMap | ( | std::size_t | width,
|  | std::size_t | height )

## QuantizedMap() [3/3]

pcl::QuantizedMap::QuantizedMap | ( | const QuantizedMap & | copy_me | ) |

References QuantizedMap().

## ~QuantizedMap()

virtual pcl::QuantizedMap::~QuantizedMap | ( |  | ) |

virtual

## Member Function Documentation

## deserialize()

void pcl::QuantizedMap::deserialize | ( | std::istream & | stream | ) |

inline

Definition at line 125 of file quantized_map.h.

References data_, height_, and width_.

## getData() [1/2]

unsigned char * pcl::QuantizedMap::getData | ( |  | ) |

inline

Definition at line 62 of file quantized_map.h.

References data_.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap().

## getData() [2/2]

const unsigned char * pcl::QuantizedMap::getData | ( |  | ) | const

inline

Definition at line 65 of file quantized_map.h.

References data_.

## getHeight()

std::size_t pcl::QuantizedMap::getHeight | ( |  | ) | const

inline

Definition at line 59 of file quantized_map.h.

References height_.

## getSubMap()

QuantizedMap pcl::QuantizedMap::getSubMap | ( | std::size_t | x,
|  | std::size_t | y,
|  | std::size_t | width,
|  | std::size_t | height )

inline

Definition at line 68 of file quantized_map.h.

References QuantizedMap().

## getWidth()

std::size_t pcl::QuantizedMap::getWidth | ( |  | ) | const

inline

Definition at line 56 of file quantized_map.h.

References width_.

## operator()() [1/2]

unsigned char & pcl::QuantizedMap::operator() | ( | const std::size_t | x,
|  | const std::size_t | y )

inline

Definition at line 93 of file quantized_map.h.

References data_, and width_.

## operator()() [2/2]

const unsigned char & pcl::QuantizedMap::operator() | ( | const std::size_t | x,
|  | const std::size_t | y ) const

inline

Definition at line 99 of file quantized_map.h.

References data_, and width_.

## resize()

void pcl::QuantizedMap::resize | ( | std::size_t | width,
|  | std::size_t | height )

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap().

## serialize()

void pcl::QuantizedMap::serialize | ( | std::ostream & | stream | ) | const

inline

Definition at line 108 of file quantized_map.h.

References data_, height_, and width_.

## spreadQuantizedMap()

void pcl::QuantizedMap::spreadQuantizedMap | ( | const QuantizedMap & | input_map,
|  | QuantizedMap & | output_map,
|  | std::size_t | spreading_size )

static

References QuantizedMap().

Referenced by pcl::ColorGradientModality< PointInT >::processInputData(), pcl::ColorModality< PointInT >::processInputData(), pcl::SurfaceNormalModality< PointInT >::processInputData(), pcl::ColorGradientModality< PointInT >::processInputDataFromFiltered(), and pcl::SurfaceNormalModality< PointInT >::processInputDataFromFiltered().

## Member Data Documentation

## data_

std::vector<unsigned char> pcl::QuantizedMap::data_

Definition at line 147 of file quantized_map.h.

Referenced by deserialize(), getData(), getData(), operator()(), operator()(), and serialize().

## height_

std::size_t pcl::QuantizedMap::height_

Definition at line 149 of file quantized_map.h.

Referenced by deserialize(), getHeight(), and serialize().

## width_

std::size_t pcl::QuantizedMap::width_

Definition at line 148 of file quantized_map.h.

Referenced by deserialize(), getWidth(), operator()(), operator()(), and serialize().

The documentation for this class was generated from the following file:

- pcl/recognition/quantized_map.h